Files
Get file metadata
Returns the file name, chunk and character counts, and the AI-extracted metadata of a file, such as language, summary, domain, document kind and author. The AI-extracted fields are populated once `extraction_status` is `completed`.
GET
/v1/files/{file_id}/metadataAuthorization
APIKeyHeader api-key<token>
In: header
Path Parameters
file_id*File Id
Format
uuidHeader Parameters
user-id*User-Id
ID of the end user the file belongs to.
Match
^[A-Za-z0-9._\-@:]+$Length
length <= 255Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/v1/files/497f6eca-6276-4993-bfeb-53cbbbba6f08/metadata" \ -H "user-id: string"{ "characters_count": 24680, "chunks_count": 12, "document_kind": "Report", "domain": "Finance", "file_id": "360d942f-d861-4611-b4b3-227278c9e709", "file_name": "q3-financial-results.pdf", "language": "en", "summary": "This document covers quarterly financial results for Q3 2025.", "tags": [ { "ai_extracted": true, "key": "author", "value": "Jane Doe" }, { "ai_extracted": true, "key": "created_date", "value": "2025-09-30" } ]}